Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlTLPFeedBackBuilder Class Reference

`#include <GlTLPFeedBackBuilder.h>`

Inheritance diagram for tlp::GlTLPFeedBackBuilder:
[legend]
Collaboration diagram for tlp::GlTLPFeedBackBuilder:
[legend]

List of all members.

## Public Member Functions

- GlTLPFeedBackBuilder ()
- virtual ~GlTLPFeedBackBuilder ()
- virtual void begin (Vector< float, 4 > &)
- virtual void colorInfo (GLfloat *)
- virtual void beginGlEntity (GLfloat)
- virtual void endGlEntity ()
- virtual void beginGlGraph (GLfloat)
- virtual void endGlGraph ()
- virtual void beginNode (GLfloat)
- virtual void endNode ()
- virtual void beginEdge (GLfloat)
- virtual void endEdge ()
- virtual void passThroughToken (GLfloat *)
- virtual void pointToken (GLfloat *)
- virtual void lineToken (GLfloat *)
- virtual void lineResetToken (GLfloat *)
- virtual void polygonToken (GLfloat *)
- virtual void bitmapToken (GLfloat *)
- virtual void drawPixelToken (GLfloat *)
- virtual void copyPixelToken (GLfloat *)
- virtual void end ()

## Constructor & Destructor Documentation

tlp::GlTLPFeedBackBuilder::GlTLPFeedBackBuilder | ( |  | ) | `[inline]`

virtual tlp::GlTLPFeedBackBuilder::~GlTLPFeedBackBuilder | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlTLPFeedBackBuilder::begin | ( | Vector< float, 4 > & |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::beginEdge | ( | GLfloat |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::beginGlEntity | ( | GLfloat |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::beginGlGraph | ( | GLfloat |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::beginNode | ( | GLfloat |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::bitmapToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::colorInfo | ( | GLfloat * |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::copyPixelToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::drawPixelToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::end | ( |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::endEdge | ( |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::endGlEntity | ( |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::endGlGraph | ( |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::endNode | ( |  | ) | `[inline, virtual]`

virtual void tlp::GlTLPFeedBackBuilder::lineResetToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::lineToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::passThroughToken | ( | GLfloat * |  | ) | `[virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::pointToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

virtual void tlp::GlTLPFeedBackBuilder::polygonToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlFeedBackBuilder.

Tulip Software by LaBRI Visualization Team 2001 - 2012